[arch-commits] Commit in vconfig/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:08:37 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:08:37
  Author: eric
Revision: 35973

upgpkg: vconfig 1.9-2
    Added license, FHS man pages

Modified:
  vconfig/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-19 06:07:21 UTC (rev 35972)
+++ PKGBUILD	2009-04-19 06:08:37 UTC (rev 35973)
@@ -2,18 +2,19 @@
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=vconfig
 pkgver=1.9
-pkgrel=1.1
+pkgrel=2
 pkgdesc="VLAN configuration utility"
 arch=(i686 x86_64)
 url="http://www.candelatech.com/~greear/vlan.html"
+license=('GPL')
 depends=('glibc')
 source=(http://www.candelatech.com/~greear/vlan/vlan.${pkgver}.tar.gz)
 md5sums=('5f0c6060b33956fb16e11a15467dd394')
 
 build() {
-  cd $startdir/src/vlan
-  make clean
+  cd $srcdir/vlan
+  make clean || return 1
   make || return 1
-  install -D -m755 vconfig $startdir/pkg/usr/sbin/vconfig
-  install -D -m644 vconfig.8 $startdir/pkg/usr/man/man8/vconfig.8
+  install -D -m755 vconfig $pkgdir/usr/sbin/vconfig || return 1
+  install -D -m644 vconfig.8 $pkgdir/usr/share/man/man8/vconfig.8 || return 1
 }



More information about the arch-commits mailing list